List trackers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/trackers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/trackers \
--header 'Authorization: Bearer <token>'{
"trackers": [
{
"id": "<string>",
"entityName": "<string>",
"entityType": "<string>",
"displayName": "<string>",
"notifyEmail": true,
"notifyWebhook": true,
"notifySlack": true,
"webhookUrl": "<string>",
"slackChannelId": "<string>",
"slackIntegrationId": "<string>",
"filters": {},
"isPaused": true,
"pausedAt": "<string>",
"lastNotifiedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"emailDeliveryCount": 123,
"webhookDeliveryCount": 123,
"slackDeliveryCount": 123,
"monitorId": "<string>"
}
],
"count": 123
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Trackers
List trackers
All trackers for the account, newest first, with per-channel delivery counts for the current billing period. Single page, no pagination.
GET
/
v1
/
trackers
List trackers
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/trackers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/trackers \
--header 'Authorization: Bearer <token>'{
"trackers": [
{
"id": "<string>",
"entityName": "<string>",
"entityType": "<string>",
"displayName": "<string>",
"notifyEmail": true,
"notifyWebhook": true,
"notifySlack": true,
"webhookUrl": "<string>",
"slackChannelId": "<string>",
"slackIntegrationId": "<string>",
"filters": {},
"isPaused": true,
"pausedAt": "<string>",
"lastNotifiedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"emailDeliveryCount": 123,
"webhookDeliveryCount": 123,
"slackDeliveryCount": 123,
"monitorId": "<string>"
}
],
"count": 123
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I